
export interface MinifiedCategory  {
	image: string
	id: string
	name: string
	displayName: string
}

export interface MinifiedStreamer  {
	name: string
	login: string
	pfp: string
	colorHex: string
}

export interface Video  {
	preview: string
	game: MinifiedCategory
	duration: number
	title: string
	publishedAt: string
	views: number
	tag: string[]
	streamer: MinifiedStreamer
}

export interface Shelve  {
	title: string
	videos: Video[]
}